Permalink
Browse files

Allow to use latest Autoprefixer from git

  • Loading branch information...
1 parent e688a83 commit 5a8d6788cd6bb5d4c59d55ab8d86cd00e6ac0651 @ai ai committed Jun 18, 2014
Showing with 18 additions and 10 deletions.
  1. +7 −0 Cakefile
  2. +2 −0 index.js
  3. +9 −10 package.json
View
@@ -47,6 +47,13 @@ task 'compile', 'Compile CoffeeScript to JS', ->
compiled = "#!/usr/bin/env node\n" + compiled
fs.writeFileSync(buildPath, compiled)
fs.chmodSync(buildPath, '775')
+ else if path == '/index.js'
+ continue
+ else if path == '/package.json'
+ data = JSON.parse(fs.readFileSync(sourcePath))
+ data['main'] = 'lib/autoprefixer'
+ delete data['dependencies']['coffee-script']
+ fs.writeFileSync(buildPath, JSON.stringify(data, null, 2))
else
fs.copy(sourcePath, buildPath)
View
@@ -0,0 +1,2 @@
+require('coffee-script').register();
+module.exports = require('./lib/autoprefixer');
View
@@ -10,22 +10,21 @@
"url": "https://github.com/ai/autoprefixer.git"
},
"dependencies": {
- "postcss": "git://github.com/ai/postcss.git#v1.0",
- "fs-extra": "~0.9.1",
- "caniuse-db": "1.0.20140618 - 2"
+ "coffee-script": "1.7.1",
+ "caniuse-db": "1.0.20140618 - 2",
+ "fs-extra": "~0.9.1",
+ "postcss": "git://github.com/ai/postcss.git#v1.0"
},
"devDependencies": {
- "coffee-script": "1.7.1",
- "browserify": "4.1.11",
- "should": "4.0.4",
- "stylus": "0.46.3",
- "mocha": "1.20.1",
- "nib": "1.0.2"
+ "browserify": "4.1.11",
+ "should": "4.0.4",
+ "stylus": "0.46.3",
+ "mocha": "1.20.1",
+ "nib": "1.0.2"
},
"bin": {
"autoprefixer": "./bin/autoprefixer"
},
- "main": "lib/autoprefixer",
"scripts": {
"test": "mocha"
}

0 comments on commit 5a8d678

Please sign in to comment.